<template>
  <div class="container flex flex-col mx-auto p-5">
    <form @submit.prevent="onSubmit">
    <div class="mb-2">
      Username
      <input class="border-solid border-2 border-black" v-model="username"/>
    </div>
    <div>
      Password
      <input  class="border-solid border-2 border-black" type="password" v-model="password"/>
    </div>
    <input type="submit" value="Login" class="mt-2 border-solid border-black border-2 px-2"/>
    </form>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
export default {
  data() {
    return {
      username: '',
      password: '',
    }
  },
  methods: {
    async onSubmit() {
      const { username, password } = this.$data
      await this.loginUser({ username, password })

      this.$data.username = ''
      this.$data.password = ''

      this.$router.push('/')
    },
    ...mapActions(['loginUser']),
  },

}
</script>

<style>

</style>
